%define upstream_name    Device-OUI
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Resolve an Organizationally Unique Identifier
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Device/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Device-OUI-1.04-hash.patch

BuildRequires: perl(Class::Accessor::Grouped)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::Exception)
BuildArch: noarch

%description
This module provides an interface to the IEEE OUI (Organizationally Unique
Identifier) registry. The registry contains information on what company an
OUI is assigned to. OUIs are used in various networking devices as part of
a unique ID method (network MAC addresses and Fiber Channel WWNs in
particular, see the the Device::MAC manpage and the Device::WWN manpage
modules for more information).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Aug 09 2016 pterjan <pterjan> 1.40.0-8.mga6
+ Revision: 1045072
- Try to fix hash randomization problem randomly failing tests

* Sun Jun 19 2016 pterjan <pterjan> 1.40.0-7.mga6
+ Revision: 1025714
- Rebuild for perl 5.22.2

* Wed Feb 17 2016 umeabot <umeabot> 1.40.0-6.mga6
+ Revision: 964263
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-5.mga5
+ Revision: 750416
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 1.40.0-3.mga5
+ Revision: 664917
- Fix BRs

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-2.mga3
+ Revision: 365892
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 27 2011 kharec <kharec> 1.40.0-1.mga2
+ Revision: 173029
- imported package perl-Device-OUI


* Sun Nov 27 2011 cpan2dist 1.04-1mga
- initial mageia release, generated with cpan2dist
